<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Allgemein\PasswortAendern\PasswortAendern;

class PasswortAendernController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new PasswortAendernUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new PasswortAendernRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new PasswortAendernPresenter($pUseCaseResponse);
  }
}